% Returns the bytes available in the recieve buffer to be read
% hComm: the handle to the comm port
% returns: the number of bytes available in the recieve buffer to be read */
%
% Licensed under the GPL
% Copyright (C) 2014 Jonathan Weaver <jonw0224@aim.com>

function R = serialPortBytesAvailable(hComm)
    if(nargin == 1)
        if(isscalar(hComm) && isnumeric(hComm))
            try
                R = serialPortBytesAvailable_internal(hComm);
            catch
                serialload;
                R = serialPortBytesAvailable_internal(hComm);
            end  
        else
            error('Expecting hComm to be numeric.');
        end
    else
        error('Expecting a single argument.  Usage: serialPortBytesAvailable(hComm).');
    end
end