% Closes the serial port 
% hComm: the handle to the serial port
%
% Licensed under the GPL
% Copyright (C) 2014 Jonathan Weaver <jonw0224@aim.com>

function R = serialPortClose(hComm)
    if(nargin == 1)
        if(isscalar(hComm) && isnumeric(hComm))
            try
                R = serialPortClose_internal(hComm);
            catch
                serialload;
                R = serialPortClose_internal(hComm);
            end  
        else
            error('Expecting a numeric handle for hComm.');
        end
    else
        error('Expecting a single argument.  Usage: serialPortClose(hComm), where hComm is the handle returned by serialPortOpen.');
    end
end