% Recieves a character over the serial port
% hComm: the handle to the serial port
% returns: -1 if failed, the character read if successful
%
% Licensed under the GPL
% Copyright (C) 2014 Jonathan Weaver <jonw0224@aim.com>

function R = serialRXChar(hComm)
    if(nargin == 1)
        if(isscalar(hComm) && isnumeric(hComm))
            try
                R = serialRXChar_internal(hComm);
            catch
                serialload;
                R = serialRXChar_internal(hComm);
            end  
        else
            error('Expecting hComm to be numeric.');
        end
    else
        error('Expecting a single argument.  Usage: serialRXChar(hComm).');
    end
end