% Recieves a string over the serial port
% hComm: the handle to the Comm Port
% strToRead: a buffer for the string to recieve.  This value is modified by the function.
% noOfBytesToRead: the number of bytes of the string to recieve
% returns: 0 if failed, number of bytes read if successful
%
% Licensed under the GPL
% Copyright (C) 2014 Jonathan Weaver <jonw0224@aim.com>

function R = serialRXString(hComm, &strToRead, noOfBytesToRead)
    if(nargin == 3)
        if(isscalar(hComm) && isnumeric(hComm) && isscalar(noOfBytesToRead) && isnumeric(noOfBytesToRead))
            % Initialize strToRead if necessary
            if(length(strToRead) < noOfBytesToRead)
                strToRead = zeros(1, noOfBytesToRead);
            end
            try
                rs = 0;
                r = noOfBytesToRead;
                while(r>0 && noOfBytesToRead>0)
                   r = serialRXString_internal(hComm, strToRead((rs+1):noOfBytesToRead), noOfBytesToRead);
                   noOfBytesToRead = noOfBytesToRead - r;
                   rs = rs + r;
                end
                R = rs;
            catch
                serialload;
                rs = 0;
                r = noOfBytesToRead;
                while(r>0 && noOfBytesToRead>0)
                   r = serialRXString_internal(hComm, strToRead((rs+1):noOfBytesToRead), noOfBytesToRead);
                   noOfBytesToRead = noOfBytesToRead - r;
                   rs = rs + r;
                end
                R = rs;
            end  
        else
            error('Expecting hComm and noOfBytesToRead to be numeric.');
        end
    else
        error('Expecting three arguments.  Usage: serialRXString(hComm, strToRead, noOfBytesToRead).');
    end
end