% Sets the read and write buffersizes to be used with the serial port
% hComm: the handle to the Comm Port
% readSize: the size of the read buffer
% writeSize: the size of the write buffer */
%
% Licensed under the GPL
% Copyright (C) 2014 Jonathan Weaver <jonw0224@aim.com>

function R = serialSetBufferSize(hComm, readSize, writeSize)
    if(nargin == 3)
        if(isscalar(hComm) && isnumeric(hComm) && isscalar(readSize) && isnumeric(readSize) && isscalar(writeSize) && isnumeric(writeSize))
            try
                R = serialSetBufferSize_internal(hComm, readSize, writeSize);
            catch
                serialload;
                R = serialSetBufferSize_internal(hComm, readSize, writeSize);
            end  
        else
            error('Expecting hComm, readSize, and writeSize to be numeric.');
        end
    else
        error('Expecting a three arguments.  Usage: serialSetBufferSize(hComm, readSize, writeSize).');
    end
end