% Transmits a character over the serial port
% hComm: the handle to the serial port
% ch: the character to transmit
% returns: 0 if failed, 1 if successful
%
% Licensed under the GPL
% Copyright (C) 2014 Jonathan Weaver <jonw0224@aim.com>

function R = serialTXChar(hComm, ch)
    if(nargin == 2)
        if(isscalar(hComm) && isnumeric(hComm) && isscalar(ch))
            try
                R = serialTXChar_internal(hComm, ch);
            catch
                serialload;
                R = serialTXChar_internal(hComm, ch);
            end  
        else
            error('Expecting hComm to be numeric and ch to be a scalar value or character.');
        end
    else
        error('Expecting two arguments.  Usage: serialTXChar(hComm, ch).');
    end
end