% Transmits a string over the serial port
% hComm: the handle to the Comm Port
% strToWrite: the string to transmit
% noOfBytesToWrite: the number of bytes of the string to transmit
% returns: 0 if failed, number of bytes written if successful
%
% Licensed under the GPL
% Copyright (C) 2014 Jonathan Weaver <jonw0224@aim.com>

function R = serialTXNewLine(hComm)
    if(nargin == 1)
        if(isscalar(hComm) && isnumeric(hComm))
            % Pad with zeros
            try
                str = [13 10];
                R = serialTXString_internal(hComm, str, 2);
            catch
                serialload;
                R = serialTXString_internal(hComm, str, 2);
            end  
        else
            error('Expecting hComm and noOfBytesToWrite to be numeric.');
        end
    else
        error('Expecting three arguments.  Usage: serialTXString(hComm, strToRead, noOfBytesToRead).');
    end
end