% Sets the DTR signal on the comm port
% hComm: the handle to the serial port
% dtr: 1 to set DTR, 0 to clear DTR
% returns: nonzero is successful, 0 if unsuccessful */
%
% Licensed under the GPL
% Copyright (C) 2014 Jonathan Weaver <jonw0224@aim.com>

function R = setPortDTR(hComm, dtr)
    if(nargin == 2)
       if(isscalar(hComm) && isnumeric(hComm) && isscalar(dtr) && (dtr == 0 || dtr == 1))
            try
                R = setPortDTR_internal(hComm, dtr);
            catch
                serialload;
                R = setPortDTR_internal(hComm, dtr);
            end  
        else
            error('Expecting hComm to be numeric and dtr to be a scalar value of 0 or 1.');
        end
    else
        error('Expecting two arguments.  Usage: setPortDTR(hComm, dtr).');
    end
end