% Sets the RTS signal on the comm port
% hComm: the handle to the serial port
% rts: 1 to set RTS, 0 to clear RTS
% returns: nonzero if successful, 0 if unsuccessful */
%
% Licensed under the GPL
% Copyright (C) 2014 Jonathan Weaver <jonw0224@aim.com>

function R = setPortRTS(hComm, rts)
    if(nargin == 2)
       if(isscalar(hComm) && isnumeric(hComm) && isscalar(rts) && (rts == 0 || rts == 1))
            try
                R = setPortRTS_internal(hComm, rts);
            catch
                serialload;
                R = setPortRTS_internal(hComm, rts);
            end  
        else
            error('Expecting hComm to be numeric and rts to be a scalar value of 0 or 1.');
        end
    else
        error('Expecting two arguments.  Usage: setPortRTS(hComm, rts).');
    end
end