% Sets the port timeouts.
% hComm: the handle to the serial port
% rdInterval: the timeout for each byte read in milliseconds
% rdTotalMult: the multiplier for each byte read
% rdTotalCosnt: an additional timeout to allow at the end of a recieve in milliseconds
% wrTotalMult: the multiplier for each byte write
% wrTotalConst: the additional timeout to allow at the end of transmit in milliseconds
% returns: 1 if successful, 0 if unsuccessful
%
% Licensed under the GPL
% Copyright (C) 2014 Jonathan Weaver <jonw0224@aim.com>

function R = setPortTimeOuts(hComm, rdInterval, rdTotalMult, rdTotalConst, wrTotalMult, wrTotalConst)
    if(nargin == 6)
       if(isscalar(hComm) && isnumeric(hComm) && isscalar(rdInterval) && isnumeric(rdInterval) && isscalar(rdTotalMult) && isnumeric(rdTotalMult) && isscalar(rdTotalConst) && isnumeric(rdTotalConst) && isnumeric(wrTotalMult) && isscalar(wrTotalConst) && isscalar(wrTotalConst) && isnumeric(wrTotalConst))
            try
                R = setPortTimeouts_internal(hComm, rdInterval, rdTotalMult, rdTotalConst, wrTotalMult, wrTotalConst);
            catch
                serialload;
                R = setPortTimeouts_internal(hComm, rdInterval, rdTotalMult, rdTotalConst, wrTotalMult, wrTotalConst);
            end                
        else
            error('Arguments should be numeric.');
        end
    else
        error('Expecting a six arguments.  Usage: setPortTimeouts(hComm, rdInterval, rdTotalMult, rdTotalConst, wrTotalMult, wrTotalConst).');    
    end
end